<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/i2c.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">i2c.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/daf/i2c_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/****************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __I2C_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __I2C_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga971d21035ba4ae2ef8287ed2a8c5f730">   33</a></span><span class="preprocessor">#define I2C_STA 0x08    </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ec29c2b8a3f118cd6a4ad5b7b89be81">   34</a></span><span class="preprocessor">#define I2C_STO 0x04    </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga086ce98cdfb4f65742d3eec098d3e273">   35</a></span><span class="preprocessor">#define I2C_SI  0x10    </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a6f5731d5e5e7b21e5c01881d62a1b9">   36</a></span><span class="preprocessor">#define I2C_AA  0x02    </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga032982f18bb75c985d03f28bf99a7bff">   38</a></span><span class="preprocessor">#define I2C_GCMODE_ENABLE   1    </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa15690304de24671da7e5282797bd31a">   39</a></span><span class="preprocessor">#define I2C_GCMODE_DISABLE  0     </span><span class="comment">/* end of group NANO1X2_I2C_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga07e8bf0b7e1eb66c75b49064310b50e1">   55</a></span><span class="preprocessor">#define I2C_SET_CONTROL_REG(i2c, u8Ctrl) ( (i2c)-&gt;CON = ((i2c)-&gt;CON &amp; ~0x1e) | u8Ctrl )</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab44eef74686218d541e066124145ba34">   63</a></span><span class="preprocessor">#define I2C_START(i2c) ( (i2c)-&gt;CON = ((i2c)-&gt;CON &amp; ~I2C_CON_I2C_STS_Msk) | I2C_CON_START_Msk )</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1fd3b2898e76b2b2aa68cbdf42c41a63">   72</a></span><span class="keyword">static</span> __INLINE int32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1fd3b2898e76b2b2aa68cbdf42c41a63">I2C_STOP</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>{</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    int32_t tout = (<a class="code hl_variable" href="../../d9/dd8/system___nano1_x2_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> / 10);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> |= (<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a04f9a65bd85e28e9e6d3d55b5f9caea6">I2C_CON_I2C_STS_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a91ddff0257ed61233b2eee61fd763ac4">I2C_CON_STOP_Msk</a>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="keywordflow">while</span>((i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a91ddff0257ed61233b2eee61fd763ac4">I2C_CON_STOP_Msk</a>) &amp;&amp; (tout-- &gt; 0));</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="keywordflow">if</span> (i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a91ddff0257ed61233b2eee61fd763ac4">I2C_CON_STOP_Msk</a>)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>}</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01c78af240d256f01f7f5ade53bb5c5">   90</a></span><span class="keyword">static</span> __INLINE int32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01c78af240d256f01f7f5ade53bb5c5">I2C_WAIT_READY</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>{</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    int32_t tout = (<a class="code hl_variable" href="../../d9/dd8/system___nano1_x2_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> / 10);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    <span class="keywordflow">while</span>(!(i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">INTSTS</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a37e2291e5b8cb08ef03127ff25373958">I2C_INTSTS_INTSTS_Msk</a>) &amp;&amp; (tout-- &gt; 0));</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="keywordflow">if</span> (!(i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">INTSTS</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a37e2291e5b8cb08ef03127ff25373958">I2C_INTSTS_INTSTS_Msk</a>))</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">INTSTS</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a37e2291e5b8cb08ef03127ff25373958">I2C_INTSTS_INTSTS_Msk</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>}</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18ecbaa3893ead749626ec3cbe6d1f50">  107</a></span><span class="preprocessor">#define I2C_GET_DATA(i2c) ((i2c)-&gt;DATA )</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8acb3072a52db55d5eb74542cd683a9">  116</a></span><span class="preprocessor">#define I2C_SET_DATA(i2c, u8Data) ( (i2c)-&gt;DATA = u8Data )</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga211b1c0cf5431840203935cfd5d0813d">  124</a></span><span class="preprocessor">#define I2C_GET_STATUS(i2c) ( (i2c)-&gt;STATUS )</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga664d5a97c7cdee7d320355b61ec22902">  134</a></span><span class="preprocessor">#define I2C_GET_TIMEOUT_FLAG(i2c) ( ((i2c)-&gt;INTSTS &amp; I2C_INTSTS_TIF_Msk) == I2C_INTSTS_TIF_Msk ? 1:0  )</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa63a0d54048dd325306f3642c1d8915a">  142</a></span><span class="preprocessor">#define I2C_CLEAR_TIMEOUT_FLAG(i2c) ( (i2c)-&gt;INTSTS |= I2C_INTSTS_TIF_Msk )</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaafe5fd3b57310f61c978155a7d3f3dba">  152</a></span><span class="preprocessor">#define I2C_GET_WAKEUP_FLAG(i2c) ( ((i2c)-&gt;STATUS2 &amp; I2C_STATUS2_WKUPIF_Msk) == I2C_STATUS2_WKUPIF_Msk ? 1:0  )</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3e70164838782171d0b18268f4e0296">  162</a></span><span class="preprocessor">#define I2C_GET_WAKEUP_ACK_DONE_FLAG(i2c) ( ((i2c)-&gt;INTSTS &amp; I2C_INTSTS_WAKEUP_ACK_DONE_Msk) == I2C_INTSTS_WAKEUP_ACK_DONE_Msk ? 1:0  )</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga86c5a22eb07bb08aa68462c7a3501140">  170</a></span><span class="preprocessor">#define I2C_CLEAR_WAKEUP_FLAG(i2c) ( (i2c)-&gt;STATUS2 |= I2C_STATUS2_WKUPIF_Msk )</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac22d4999dd90624fb9941b93c31543ad">  179</a></span><span class="preprocessor">#define I2C_CLEAR_WAKEUP_ACK_DONE_FLAG(i2c) ( (i2c)-&gt;INTSTS |= I2C_INTSTS_WAKEUP_ACK_DONE_Msk )</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9faca3dc728a4c9c87dbf4c1a9db1d66">  187</a></span><span class="preprocessor">#define I2C_DISABLE_FIFO(i2c) ( (i2c)-&gt;CON2 &amp;= ~I2C_CON2_TWOFF_EN_Msk )</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga44e5a9b2699b7075e29e5c15c7eb143a">  195</a></span><span class="preprocessor">#define I2C_ENABLE_FIFO(i2c) ( (i2c)-&gt;CON2 |= I2C_CON2_TWOFF_EN_Msk )</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaacacc2531c5b645bd772d203c79eddf9">  203</a></span><span class="preprocessor">#define I2C_DISABLE_CLOCK_STRETCH(i2c) ( (i2c)-&gt;CON2 |= I2C_CON2_NOSTRETCH_Msk )</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba11c03cde7cef9b5f719f956de107e4">  211</a></span><span class="preprocessor">#define I2C_ENABLE_CLOCK_STRETCH(i2c) ( (i2c)-&gt;CON2 &amp;= ~I2C_CON2_NOSTRETCH_Msk )</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49c897474a06bd2e6c5a5a8196c1900b">  219</a></span><span class="preprocessor">#define I2C_DISABLE_OVERRUN_INT(i2c) ( (i2c)-&gt;CON2 &amp;= ~I2C_CON2_OVER_INTEN_Msk )</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad670b5e947410528045e16b863f69794">  227</a></span><span class="preprocessor">#define I2C_ENABLE_OVERRUN_INT(i2c) ( (i2c)-&gt;CON2 |= I2C_CON2_OVER_INTEN_Msk )</span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span> </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga885a7306fabd9f2a9e26b88318162761">  235</a></span><span class="preprocessor">#define I2C_ENABLE_UNDERRUN_INT(i2c) ( (i2c)-&gt;CON2 |= I2C_CON2_UNDER_INTEN_Msk )</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46c0dcd9aec6e8a0d7173d5ae3764c50">  243</a></span><span class="preprocessor">#define I2C_DISABLE_UNDERRUN_INT(i2c) ((i2c)-&gt;CON2 &amp;= ~I2C_CON2_UNDER_INTEN_Msk )</span></div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span> </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4dd9b04f7f3ed1bbb42a95770352c98e">  253</a></span><span class="preprocessor">#define I2C_GET_BUS_FREE_FLAG(i2c) ( ((i2c)-&gt;STATUS2 &amp; I2C_STATUS2_BUS_FREE_Msk) == I2C_STATUS2_BUS_FREE_Msk ? 1:0  )</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadab79bb6a9a2f9645f71bcf8819384eb">  264</a></span><span class="preprocessor">#define I2C_GET_WAKEUP_RW_FLAG(i2c) ( ((i2c)-&gt;STATUS2 &amp; I2C_STATUS2_WR_STATUS_Msk) == I2C_STATUS2_WR_STATUS_Msk ? 1:0  )</span></div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">I2C_Open</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock);</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">I2C_Close</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">I2C_ClearTimeoutFlag</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">I2C_Trigger</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Start, uint8_t u8Stop, uint8_t u8Si, uint8_t u8Ack);</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">I2C_DisableInt</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">I2C_EnableInt</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">I2C_GetBusClockFreq</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">I2C_SetBusClockFreq</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock);</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">I2C_GetIntFlag</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">I2C_ClearIntFlag</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">I2C_GetStatus</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">I2C_GetData</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">I2C_SetData</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Data);</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">I2C_SetSlaveAddr</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddr, uint8_t u8GCMode);</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">I2C_SetSlaveAddrMask</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddrMask);</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">I2C_EnableTimeout</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8LongTimeout);</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">I2C_DisableTimeout</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">I2C_EnableWakeup</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">I2C_DisableWakeup</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c);</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span> <span class="comment">/* end of group NANO1X2_I2C_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span> <span class="comment">/* end of group NANO1X2_I2C_Driver */</span></div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span> </div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>}</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span> </div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span><span class="preprocessor">#endif </span><span class="comment">//__I2C_H__</span></div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span> </div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a04f9a65bd85e28e9e6d3d55b5f9caea6"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a04f9a65bd85e28e9e6d3d55b5f9caea6">I2C_CON_I2C_STS_Msk</a></div><div class="ttdeci">#define I2C_CON_I2C_STS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05148">Nano1X2Series.h:5148</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a37e2291e5b8cb08ef03127ff25373958"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a37e2291e5b8cb08ef03127ff25373958">I2C_INTSTS_INTSTS_Msk</a></div><div class="ttdeci">#define I2C_INTSTS_INTSTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05154">Nano1X2Series.h:5154</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a91ddff0257ed61233b2eee61fd763ac4"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a91ddff0257ed61233b2eee61fd763ac4">I2C_CON_STOP_Msk</a></div><div class="ttdeci">#define I2C_CON_STOP_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05142">Nano1X2Series.h:5142</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1d0b902bc72f1344225974be9cb04a68"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">I2C_SetSlaveAddrMask</a></div><div class="ttdeci">void I2C_SetSlaveAddrMask(I2C_T *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddrMask)</div><div class="ttdoc">Configure the mask of slave address. The corresponding address bit is &quot;Don't Care&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00241">i2c.c:241</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1fd3b2898e76b2b2aa68cbdf42c41a63"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1fd3b2898e76b2b2aa68cbdf42c41a63">I2C_STOP</a></div><div class="ttdeci">static __INLINE int32_t I2C_STOP(I2C_T *i2c)</div><div class="ttdoc">This macro only set STOP bit to the control register of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/daf/i2c_8h_source.html#l00072">i2c.h:72</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga21c950fb4e57a2047b69cb811003fa9a"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">I2C_Close</a></div><div class="ttdeci">void I2C_Close(I2C_T *i2c)</div><div class="ttdoc">This function closes the I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00053">i2c.c:53</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga270c59858dcbe767fdfa7aec2247aab5"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">I2C_SetBusClockFreq</a></div><div class="ttdeci">uint32_t I2C_SetBusClockFreq(I2C_T *i2c, uint32_t u32BusClock)</div><div class="ttdoc">This function sets bus frequency of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00145">i2c.c:145</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga29b31f62a804d8127bc8d480f5140856"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">I2C_Trigger</a></div><div class="ttdeci">void I2C_Trigger(I2C_T *i2c, uint8_t u8Start, uint8_t u8Stop, uint8_t u8Si, uint8_t u8Ack)</div><div class="ttdoc">This function sets the control bit of the I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00090">i2c.c:90</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga40af7f5199f9ecfeb12346dd06795e30"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">I2C_EnableTimeout</a></div><div class="ttdeci">void I2C_EnableTimeout(I2C_T *i2c, uint8_t u8LongTimeout)</div><div class="ttdoc">This function enables timeout function and configures DIV4 function to support long timeout.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00262">i2c.c:262</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga52dc389ef7d32581831ca8e9c9f4a4bd"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">I2C_ClearTimeoutFlag</a></div><div class="ttdeci">void I2C_ClearTimeoutFlag(I2C_T *i2c)</div><div class="ttdoc">This function clears the timeout flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00076">i2c.c:76</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5af4856de07386b9f5feaccf1151a2b0"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">I2C_SetSlaveAddr</a></div><div class="ttdeci">void I2C_SetSlaveAddr(I2C_T *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddr, uint8_t u8GCMode)</div><div class="ttdoc">Configure slave address and enable GC mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00219">i2c.c:219</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga60aacc589bbf1b9e5034a413a8c6667c"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">I2C_SetData</a></div><div class="ttdeci">void I2C_SetData(I2C_T *i2c, uint8_t u8Data)</div><div class="ttdoc">This function writes the data to data register of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00204">i2c.c:204</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga722b0efc53445c3ee7bea5e2b0e48ec6"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">I2C_GetBusClockFreq</a></div><div class="ttdeci">uint32_t I2C_GetBusClockFreq(I2C_T *i2c)</div><div class="ttdoc">This function returns the real bus clock of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00132">i2c.c:132</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7c48aae047e67d4484009b3f56f78e74"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">I2C_EnableInt</a></div><div class="ttdeci">void I2C_EnableInt(I2C_T *i2c)</div><div class="ttdoc">This function enables the interrupt (EI bit) of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00122">i2c.c:122</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga836afb05deae9304e7090e511be42592"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">I2C_DisableWakeup</a></div><div class="ttdeci">void I2C_DisableWakeup(I2C_T *i2c)</div><div class="ttdoc">This function disables the wakeup function of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00297">i2c.c:297</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga87ee3e2d3837de97391187449bb66af2"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">I2C_GetStatus</a></div><div class="ttdeci">uint32_t I2C_GetStatus(I2C_T *i2c)</div><div class="ttdoc">This function returns the status of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00183">i2c.c:183</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8f7c9f0b9e85f4a6de170dbf26826061"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">I2C_DisableInt</a></div><div class="ttdeci">void I2C_DisableInt(I2C_T *i2c)</div><div class="ttdoc">This function disables the interrupt of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00112">i2c.c:112</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga94200ddc2f4cb709f477c40f955f1dba"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">I2C_GetData</a></div><div class="ttdeci">uint32_t I2C_GetData(I2C_T *i2c)</div><div class="ttdoc">This function returns the data stored in data register of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00193">i2c.c:193</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa01c78af240d256f01f7f5ade53bb5c5"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01c78af240d256f01f7f5ade53bb5c5">I2C_WAIT_READY</a></div><div class="ttdeci">static __INLINE int32_t I2C_WAIT_READY(I2C_T *i2c)</div><div class="ttdoc">This macro will return when I2C module is ready.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/daf/i2c_8h_source.html#l00090">i2c.h:90</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab3873e5f04b3bb39022790f79a11e207"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">I2C_EnableWakeup</a></div><div class="ttdeci">void I2C_EnableWakeup(I2C_T *i2c)</div><div class="ttdoc">This function enables the wakeup function of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00287">i2c.c:287</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac3ab4949dccb6092ca2727d29bb73949"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">I2C_ClearIntFlag</a></div><div class="ttdeci">void I2C_ClearIntFlag(I2C_T *i2c)</div><div class="ttdoc">This function clears the interrupt flag of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00173">i2c.c:173</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad181ccedfb141167da8faf8ef279ba92"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">I2C_GetIntFlag</a></div><div class="ttdeci">uint32_t I2C_GetIntFlag(I2C_T *i2c)</div><div class="ttdoc">This function gets the interrupt flag of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00163">i2c.c:163</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae8701d230c114b4b73757a08d0e23309"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">I2C_Open</a></div><div class="ttdeci">uint32_t I2C_Open(I2C_T *i2c, uint32_t u32BusClock)</div><div class="ttdoc">This function make I2C module be ready and set the wanted bus clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00034">i2c.c:34</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaeacf8ee23bc7ad36ae7bb281cc11e288"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">I2C_DisableTimeout</a></div><div class="ttdeci">void I2C_DisableTimeout(I2C_T *i2c)</div><div class="ttdoc">This function disables timeout function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00277">i2c.c:277</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga2b528aee5b81928cfa6e84f205ac5e88"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">I2C_T::INTSTS</a></div><div class="ttdeci">__IO uint32_t INTSTS</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04947">Nano1X2Series.h:4947</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga3a6b1cd30e7ad401b1dff3f181a0a6c4"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">I2C_T::CON</a></div><div class="ttdeci">__IO uint32_t CON</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04928">Nano1X2Series.h:4928</a></div></div>
<div class="ttc" id="astruct_i2_c___t_html"><div class="ttname"><a href="../../d2/d62/struct_i2_c___t.html">I2C_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04890">Nano1X2Series.h:4891</a></div></div>
<div class="ttc" id="asystem___nano1_x2_series_8h_html_aa3cd3e43291e81e795d642b79b6088e6"><div class="ttname"><a href="../../d9/dd8/system___nano1_x2_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a></div><div class="ttdeci">uint32_t SystemCoreClock</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7e/system___nano1_x2_series_8c_source.html#l00020">system_Nano1X2Series.c:20</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
